# Indices

Indexar un campo en una tabla de la base de datos solo sirve para mejorar la velocidad de busqueda y querys donde se relacione ese campo.

Para hacerlo hay dos maneras.

- Indexar permitiendo valores duplicados

*Sintaxis*

```
CREATE INDEX index_name
ON table_name (column1, column2, ...);
```

- Indexar solo permitiendo valores unicos

*Sintaxis*

```
CREATE UNIQUE INDEX index_name
ON table_name (column1, column2, ...);
```

Para eliminar un indices

*Sintaxis*
```
ALTER TABLE table_name
DROP INDEX index_name;
```